QGIS Application - Bug report #4676

Python error when interacting with the Clipper raster tool

2011-12-19 08:40 AM - Giovanni Allegri

Status: Closed

Priority: High

Assignee: Giuseppe Sucameli
Category: GDAL Tools
Affected QGIS version:1.7.3

Operating System: 0sgeodw

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 14566

Description

The following error happens whenever | interact within the Clipper tool (raster/gdal tools):

Traceback (most recent call last):

File "C:/OSGeo4W/apps/qgis/./python/plugins\\Gdal T ools\\tools\\widgetPluginBase.py", line 28, in someValueChanged

self.emit(SIGNAL"), self.getArguments())

File "C:/OSGeo4W/apps/qgis/./python/plugins\\Gdal Tools\\tools\\doClipper.py", line 105, in getArguments

return self.getArgsModeMask()

File "C:/OSGeo4W/apps/qgis/./python/plugins\\GdalTools\\tools\\doClipper.py", line 143, in getArgsModeMask

if self.alphaBandCheck.isChecked():
TypeError: 'sip.methoddescriptor' object is not callable

History

#1 - 2011-12-24 06:17 AM - Giovanni Manghi

- Affected QGIS version setto 1.7.3

- Crashes QGIS or corrupts data set to No

This does not happens on QGIS-master/osgeo4w

How do | get this error on 1.7.3:

new project

add a raster

raster -> clipper

mask layer -> go pick a vector -> after clicking "ok" the message pops up

#2 - 2012-01-12 09:34 AM - Paolo Cavallini
- Status changed from Open to Feedback

Please check on master and give further details.

#3 - 2012-01-12 09:44 AM - Giuseppe Sucameli
It's due to a python bug, fixed in python v2.5.3 and v2.6.1 (see http://www.riverbankcomputing.com/pipermail/pyqt/2011-February/029218.html).

AFAIK there no way to handle it, except commenting that line...

#4 - 2012-01-12 09:46 AM - Paolo Cavallini
- Status changed from Feedback to Closed
- Resolution set to invalid

This depends from the Windows packaging (old version of Python). Nothing to do with QGIS.

#5 - 2012-01-12 09:53 AM - Paolo Cavallini

Better helping osgeo to upgrade their Python, long overdue.

#6 - 2012-01-12 10:04 PM - Jiirgen Fischer

Paolo Cavallini wrote:

Better helping osgeo4w to upgrade their Python, long overdue.

See also OSGeo4W &#35;219
http://www.riverbankcomputing.com/pipermail/pyqt/2011-February/029218.html
http://trac.osgeo.org/osgeo4w/ticket/219

